%define pkgname chromium-extra-plugins

%define sourceurl0 https://dl.google.com/linux/direct/google-chrome-stable_current_i386.rpm
%define sourceurl1 https://dl.google.com/linux/direct/google-chrome-stable_current_x86_64.rpm

Summary:    The proprietary plugins for chromium
Summary(ja):    Chromium 用プロプライエタリプラグイン
Name:		self-build-%{pkgname}
Version:	42.0.2311.135
Release: 	1%{?_dist_release}
Source0:	%{pkgname}-vl.spec

License:    BSD-3-Clause, LGPL-2.1+
Group:		Applications/Internet

Obsoletes:      %{pkgname} < %{version}
Obsoletes:      self-build-%{pkgname} < %{version}-%{release}

Requires(post):		self-build-setup >= 0.9.9
Requires(post):		chromium >= %{version}

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
This package includes the proprietary plugins for chromium.

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of 
%{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

%description -l ja
このパッケージには Chromium 用のプロプライエタリなプラグイン
が含まれております。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
%ifarch x86_64
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl1} 5000
%else
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl0} 5000
%endif

%files
%defattr(-,root,root)
%{_datadir}/%{name}/*

%changelog
* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 42.0.2311.135-1
- initial build

